//
//  AppDelegate.h
//  CustomParameters
//
//  Created by Dustin O'Connor on 1/12/12.
//  Copyright (c) 2012 d0cut0uch. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <Quartz/Quartz.h>

@interface AppDelegate : NSObject <NSApplicationDelegate>

@property (assign) IBOutlet NSPanel*window;
@property (weak) IBOutlet NSSlider *intensity;
@property (weak) IBOutlet NSSlider *radius;
@property (weak) IBOutlet NSImageView *imageView;
@property (weak) IBOutlet NSColorWell *color;
@property (weak) IBOutlet QCView *compView;
@property (weak) IBOutlet NSTextFieldCell *x;
@property (weak) IBOutlet NSTextFieldCell *y;
@property (weak) IBOutlet NSTextFieldCell *rotation;
@property (weak) IBOutlet NSTextFieldCell *width;


@property (readonly, strong, nonatomic) NSPersistentStoreCoordinator *persistentStoreCoordinator;
@property (readonly, strong, nonatomic) NSManagedObjectModel *managedObjectModel;
@property (readonly, strong, nonatomic) NSManagedObjectContext *managedObjectContext;

- (IBAction)saveAction:(id)sender;
- (IBAction)intensity:(NSSlider *)sender;
- (IBAction)radius:(NSSlider *)sender;
- (IBAction)imageView:(NSImageView *)sender;
- (IBAction)tableView:(NSTableView *)sender;
- (IBAction)color:(NSColorWell *)sender;



@end
